[Numpy-discussion] Updating Packages in 2.5 (win/numpy) and Related Matters

Wayne Watson sierra_mtnview@sbcglobal....
Thu Feb 18 22:33:20 CST 2010



On 2/17/2010 10:00 PM, Scott Sinclair wrote:
>> On 18 February 2010 05:30, Wayne Watson<sierra_mtnview@sbcglobal.net>  wrote:
>> ...
>>      

>> I'm on win7's Add/Remove numpy. No scipy. I just checked the version via
>> import and it's 0.6.0.
>>      
> You can download the latest NumPy and SciPy installers from:
>
> http://sourceforge.net/projects/numpy/files/
>
> and
>
> http://sourceforge.net/projects/scipy/files/
>
> You want the win32-superpack for your Python version.
>
> Use "Add/Remove" to remove your current NumPy install (if your version
> is not already 1.3.0). I'm not sure how SciPy was installed and why it
> doesn't appear in "Add/Remove". You should look in
> C:\Python25\Lib\site-packages for directories named numpy or scipy
> (numpy should have been removed already). It is safe to delete
> C:\Python25\Lib\site-packages\scipy.
>
> Then run the superpack installers and you should be good to go. Good luck.
>    
Scipy is definitely in site-packages*, but not in Add/Remove. I also 
downloaded it from IDLE prompt. Numpy is both in site-pkg and 
Add/Remove.    Numpy is 1.2.0.

* If I said otherwise, it may be because I'm in the midst of going from 
XP to Win7, and am using two machines very close together. Well, I think 
it's time to update per your instructions.

-- 
             "There is nothing so annoying as to have two people
              talking when you're busy interrupting." -- Mark Twain



More information about the NumPy-Discussion mailing list